### Constructor

# PapersView SearchResult new

#### Declaration [src]

    PpsSearchResult*
    pps_search_result_new (
      gchar* markup,
      gchar* label,
      guint page,
      guint index,
      guint global_index,
      PpsFindRectangle* rect
    )

#### Description

No description available.

#### Parameters

`markup`

  Type: `gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`page`

  Type: `guint`

  No description available.

`index`

  Type: `guint`

  No description available.

`global_index`

  Type: `guint`

  No description available.

`rect`

  Type: `PpsFindRectangle`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `PpsSearchResult`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.